<template>
  <div class="GDPC-container">
    <div class="GDPC-header">
      <img class="GDPC-project-image"/>
      <span class="GDPC-project-name"></span>
    </div>
    <div class="GDPC-body">
      <img class="GDPC-user-image" />
      <div class="GDPC-last-commit-container">
        <div class="GDPC-last-commit-text">
        </div>
        <div class="GDPC-last-commit-info">
        </div>
      </div>
      <div class="GDPC-pipeline-status">
      </div>
    </div>
  </div>
</template>

<style scoped>
div.GDPC-container {

}

div.GDPC-header {

}

img.GDPC-project-image {

}

span.GDPC-project-name {

}

div.GDPC-body {

}

img.GDPC-user-image {

}

div.GDPC-last-commit-container {

}

div.GDPC-last-commit-text {

}

div.GDPC-last-commit-info {

}

div.GDPC-pipeline-status {

}
</style>

<script>
export default {
  /* `data` object through a function so we get unique instances */
  data: function() {
    return {
      somePropA: "click me!"
    }
  },
  props: {
    somePropB: {
      /* String, Number, Object, ... */
      type: String,
      /* Set a default value */
      default: 100,
      /* Required: true or not-present/false */
      required: true
    }
  },
}
</script>
